%global modulename readable-stream

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-readable-stream
Version:        3.0.6
Release:        1%{?dist}
Summary:        Streams3, a user-land copy of the stream library from Node.js

License:        MIT
URL:            https://github.com/nodejs/readable-stream#readme
Source0:        https://registry.npmjs.org/readable-stream/-/readable-stream-3.0.6.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(inherits) >= 2.0.3 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(string_decoder) >= 1.1.1 with npmlib(string_decoder) < 2.0.0))
BuildRequires:  ((npmlib(util-deprecate) >= 1.0.1 with npmlib(util-deprecate) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Streams3, a user-land copy of the stream library from Node.js

%package 3.0.6
Summary:        Streams3, a user-land copy of the stream library from Node.js


%description 3.0.6
Streams3, a user-land copy of the stream library from Node.js

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .airtap.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .airtaprc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr errors-browser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr errors.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr experimentalWarning.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr readable-browser.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr readable.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CONTRIBUTING.md
%doc GOVERNANCE.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.0.6
%doc CONTRIBUTING.md
%doc GOVERNANCE.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 26 2018 npm2srpm <dshea@redhat.com> - 3.0.6-1
- Package automatically generated by npm2srpm
